# Type Alias LpkxCimTextSymbol

LpkxCimTextSymbol: Omit<CIMTextSymbolBase, "symbol"> & {
fontFamilyName?: string;
fontStyleName?: string;
height?: number;
horizontalAlignment?: string;
kerning?: boolean;
symbol?: LpkxCimPolygonSymbol;
verticalAlignment?: string;
}

Interface for text symbols in CIM.

#### Type declaration

- ##### `Optional` fontFamilyName?: string

  The font family name.

- ##### `Optional` fontStyleName?: string

  The font style name.

- ##### `Optional` height?: number

  The height of the text.

- ##### `Optional` horizontalAlignment?: string

  The horizontal alignment of the text.

- ##### `Optional` kerning?: boolean

  Whether kerning is enabled.

- ##### `Optional` symbol?: LpkxCimPolygonSymbol

  The polygon symbol used for text background or halo.

- ##### `Optional` verticalAlignment?: string

  The vertical alignment of the text.